### Signal

# RB RhythmDB::entry-extra-metadata-notify

#### Declaration

    void
    entry_extra_metadata_notify (
      RhythmDB* self,
      RhythmDBEntry* entry,
      gchar* field,
      const GValue* metadata,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an extra metadata value is provided for a specific entry independantly of an extra metadata request.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` for which extra metadata has been supplied.

  The data is owned by the caller of the function.

`field`

  Type: `gchar*`

  The extra metadata field being supplied.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: `GValue`

  The extra metadata value.

  The data is owned by the caller of the function.